# Method: adPlays.create

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/adPlays/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/adPlays/create#body.request_body)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/adPlays/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/adPlays/create#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/adPlays/create#examples)

Creates an ad play.

- Returns the newly created ad play if successful.
- Returns error code `INVALID_ARGUMENT` if invalid ad unit, order, line, or creative are specified.
- Returns error code `INVALID_ARGUMENT` if an ad play for the same ad unit, order, line, and creative with the same startTime already exists.
- Returns error code `NOT_FOUND` if no matching ad unit id, order id, line id, or creative asset id found.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1beta1/adPlays`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/adPlays#AdPlay`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/adPlays#AdPlay`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).